# 19. Mutaatio: poista "Field"

Poista valittu "Pelto" ja kaikki siihen liittyvät tiedot.

{% hint style="info" %}
Jaettuun "Maatilaan" kuuluvaa "Peltoa" ei voi poistaa, koska et ole pellon omistaja.
{% endhint %}

{% code overflow="wrap" lineNumbers="true" %}

```graphql
muutos DeleteField {
  deleteField(input: {
    uuid: "<placeholder_of_field_uuid>"
    farmUuid: "<placeholder_of_farm_uuid>"
  }) {
    uuid
    farmUuid
    nimi
  }
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/fin/api-dokumentaatio/geopard-api-pyyntojen-yleiskatsaus/19.-mutaatio-poista-field.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
